bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#25391: 24.5; ffap-guesser "stack overflow in regexp matcher" error m


From: Thierry Volpiatto
Subject: bug#25391: 24.5; ffap-guesser "stack overflow in regexp matcher" error may crash emacs.
Date: Tue, 10 Jan 2017 08:17:27 +0100
User-agent: mu4e 0.9.19; emacs 24.5.1

address@hidden writes:

> Hmm, well I've meanwhile merged the fix for the regex stack limit, if
> you can still crash emacs this way, open a new bug.

Ok.

>> I don't know `let-alist`, but looks good, however keeping
>> `ffap-gopher-regexp` instead of hardcoding it and returning nil when the
>> regexp is nil would allow users to disable the feature.
>
> Makes sense, here's an update:

Thanks, however AFAIU your patch, when `ffap-gopher-regexp` is nil,
`ffap-gopher-at-point` will return with an error but not nil isn't it ?


-- 
Thierry





reply via email to

[Prev in Thread] Current Thread [Next in Thread]